# Connecting on a remote server

## Connecting a remote server (ssh)

For the following exercises, we will use the IRD HPC infrastructure.

The IRD HPC allows the connection to the storage node.
`bioinfo-san.ird.fr` 

We will need to connect first to this server, and then work remotely from it.

!!! question "Connect to `bioinfo-san.ird.fr` node using `ssh` and your `formationX` account"

??? example "Click to show the solution"
    `ssh formationX@bioinfo-san.ird.fr`

Open another terminal session to connect to  the master node : `bioinfo-master1.ird.fr`

!!! question "Connect to `bioinfo-master1.ird.fr` node using `ssh` and your `formationX` account"

??? example "Click to show the solution"
    `ssh formationX@bioinfo-master1.ird.fr`

!!! question "What are the main differences between the 2 sessions?"

??? example "Click to show the solution"
    `Prompt is different, bioinfo-master1.ird.fr as a welcome message`    

## Transferring files using Filezilla

Download and install FileZilla.

Open FileZilla and save the cluster address into the site manager.

![](../images/filezilla/tp-filezilla1.png){: style="height:500px"}

In the FileZilla menu, go to File > Site Manager. Then go through these 5 steps:

1) Click New Site.  
2) Add a CUSTOM NAME for this site such as IRD_HPC.  
3) Add the HOSTNAME : bioinfo-san.ird.fr.  
4) Set the Logon Type to “Normal” and insert your username and password used to connect on the IRD HPC  
5) Press the “Connect” button.  

![](../images/filezilla/tp-filezilla2.png){: style="height:500px"}


!!! question "Using Filezilla, transfer a file from your computer to your /users/formationX in `bioinfo-san.ird.fr`"

!!! question "Using Filezilla, transfer the file `/share/formation/TP_LINUX/Linux_for_dummiesCOP2024.pdf` from the cluster  to your computer"

## Transferring files (scp)

!!! question "Using `scp`, transfer a file from your computer to the cluster into the `/users/formationX` directory of the `formationX` account"

??? example "Click to show the solution"
    `scp -r /home/<userName>/filename formationX@bioinfo-san.ird.fr:/users/formationX`

!!! question "Using `scp`, transfer the file `/share/formation/HPC_french.pdf` from the cluster to your computer in your home directory"

??? example "Click to show the solution"
    `scp -r formationX@bioinfo-san.ird.fr:/share/formation/HPC_french.pdf /home/<userName>`

## Retrieving data from a website (wget)


 We can use the `wget` command to automatically download a zipped file (containing these new datasets) available from a URL.

!!! question " from `bioinfo-san.ird.fr`,using `wget` command, download the new datasets available at this address: `http://itrop.ird.fr/LINUX-TP/LINUX-TP.tar.gz` in your `/users/formationX/folder`"

??? example "Click to show the solution"
    `wget http://itrop.ird.fr/LINUX-TP/LINUX-TP.tar.gz`

## Manipulating compressed data (tar)

!!! question "Using `tar` command, extract the content of the archive. Look into the new directory"

??? example "Click to show the solution"
    ```bash
    tar -xzvf LINUX-TP.tar.gz
    ls
    ls LINUX-TP
    ```